Skip to main content

Steam

Base URL: https://drain.lat/api/v1/steam
Fetch a Steam community profile using the vanity URL - the custom part of their profile URL (e.g. steamcommunity.com/id/gaben → vanity is gaben).
GET /api/v1/steam/profile/:vanityUrl
vanityUrl
string
required
The Steam vanity URL (not the Steam64 ID).
curl "https://drain.lat/api/v1/steam/profile/gaben" \
  -H "x-api-key: YOUR_API_KEY"
steamId
string
Steam64 ID.
username
string
Steam vanity URL username.
displayName
string
Display name.
realName
string
Real name if set publicly.
summary
string
Profile summary/bio.
avatarUrl
string
Avatar image URL.
level
number
Steam level.
status
string
Online status (e.g. Online, Offline).
currentGame
string
Game currently being played. null if not in a game.
currentGameId
number
App ID of the current game. null if not playing.
location
string
Location if set publicly.
created
string
Account creation date (ISO 8601).
isPrivate
boolean
Whether the profile is private.
bans
object
badges
array
List of badge names.
recentGames
array
profileUrl
string
Link to the Steam profile.
Response
{
  "steamId": "76561197960287930",
  "username": "gaben",
  "displayName": "Gabe Newell",
  "realName": "",
  "summary": "Valve co-founder",
  "avatarUrl": "https://avatars.steamstatic.com/...",
  "level": 98,
  "status": "Online",
  "currentGame": null,
  "currentGameId": null,
  "location": "Seattle, WA",
  "created": "2003-08-23T00:00:00.000Z",
  "isPrivate": false,
  "bans": {
    "vacBanned": false,
    "numberOfVacBans": 0,
    "numberOfGameBans": 0,
    "daysSinceLastBan": 0
  },
  "badges": ["Pillar of Community", "Years of Service"],
  "recentGames": [
    { "name": "Counter-Strike 2", "hoursPlayed": "1,234 hrs on record" }
  ],
  "profileUrl": "https://steamcommunity.com/id/gaben",
  "scrapedAt": "2026-05-05T12:00:00.000Z"
}
Private profiles return "isPrivate": true with limited data.
Get a user’s Steam game library.
GET /api/v1/steam/profile/:vanityUrl/games
vanityUrl
string
required
The Steam vanity URL.
curl "https://drain.lat/api/v1/steam/profile/gaben/games" \
  -H "x-api-key: YOUR_API_KEY"
games
array
total
number
Total games returned.
Response
{
  "games": [
    {
      "name": "Counter-Strike 2",
      "hoursPlayed": "1,234 hrs on record",
      "logoUrl": "https://cdn.cloudflare.steamstatic.com/..."
    },
    {
      "name": "Dota 2",
      "hoursPlayed": "892 hrs on record",
      "logoUrl": "https://cdn.cloudflare.steamstatic.com/..."
    }
  ],
  "total": 20,
  "scrapedAt": "2026-05-05T12:00:00.000Z"
}
Returns up to 20 games. Private game libraries return { "error": "Games list is private" }.
Get the last 10 recently played games for a Steam user.
GET /api/v1/steam/profile/:vanityUrl/recent
vanityUrl
string
required
The Steam vanity URL.
curl "https://drain.lat/api/v1/steam/profile/gaben/recent" \
  -H "x-api-key: YOUR_API_KEY"
steamId
string
Steam64 ID.
vanityUrl
string
Steam vanity URL.
games
array
total
number
Number of recently played games returned.
Response
{
  "steamId": "76561197960287930",
  "vanityUrl": "gaben",
  "games": [
    {
      "appId": 730,
      "name": "Counter-Strike 2",
      "playtime2Weeks": 120,
      "playtimeForever": 8400,
      "iconUrl": "https://media.steampowered.com/...",
      "storeUrl": "https://store.steampowered.com/app/730"
    }
  ],
  "total": 5,
  "scrapedAt": "2026-05-08T10:00:00.000Z"
}
Get a user’s Steam friend list with summaries.
GET /api/v1/steam/profile/:vanityUrl/friends
vanityUrl
string
required
The Steam vanity URL.
curl "https://drain.lat/api/v1/steam/profile/gaben/friends" \
  -H "x-api-key: YOUR_API_KEY"
steamId
string
Steam64 ID.
vanityUrl
string
Steam vanity URL.
friends
array
total
number
Total number of friends.
Response
{
  "steamId": "76561197960287930",
  "vanityUrl": "gaben",
  "friends": [
    {
      "steamId": "76561198000000000",
      "username": "friend123",
      "avatarUrl": "https://...",
      "profileUrl": "https://steamcommunity.com/profiles/76561198000000000",
      "friendSince": "2015-03-01T00:00:00.000Z"
    }
  ],
  "total": 42,
  "scrapedAt": "2026-05-08T10:00:00.000Z"
}
Returns an error if the friend list is set to private.